Sql anywhere 5.5 and 6.0 comptability

Hi everyone,

I would like to know if Sql anywhere 5.5x and 6.0 are compatible, I mean I
am using Sql Anywhere 5.5 and one of our client bought the 6.0 version. My
application will work with 6.0?

Thanks

----------------------------------------
Frederic MARGARIDO
Fred@radiosoft.org


0
Frederic
10/19/1998 12:38:04 PM
sybase.sqlanywhere.general 32637 articles. 22 followers. Follow

7 Replies
508 Views

Similar Articles

[PageSpeed] 58
Get it on Google Play
Get it on Apple App Store

If it is an embedded SQL app, then you will have to recompile using the new
preprocessor. If it is an ODBC app then you will need to use a 6.0 ODBC
datasource as opposed to a 5.x ODBC data source. You will still want to test
it thoroughly and check the 6.0 documentation for listed behaviour changes.

--
Robert Waywell
Sybase
Please respond to News groups

Frederic MARGARIDO wrote in message ...
>Hi everyone,
>
>I would like to know if Sql anywhere 5.5x and 6.0 are compatible, I mean I
>am using Sql Anywhere 5.5 and one of our client bought the 6.0 version. My
>application will work with 6.0?
>
>Thanks
>
>----------------------------------------
>Frederic MARGARIDO
>Fred@radiosoft.org
>
>


0
Rob
10/19/1998 12:44:13 PM
>If it is an embedded SQL app, then you will have to recompile using the new
>preprocessor. 

That's not strictly necessary is it?  From help topic "Upgrading Embedded SQL Applications":

"You can upgrade a SQL Anywhere Version 5 standalone application to use the Adaptive Server Anywhere
Version 6 database server by upgrading the database server and the interface library. You do not
need to upgrade the database or the client application itself.
The upgrade procedure uses the compatibility library. The compatibility library is a dynamic library
(a DLL on PCs, shared library on UNIX) that enables Embedded SQL applications to work with both
Version 5 and Version 6 database servers."





Leo Tohill - Team Powersoft
-- Please post in newsgroup, not via email <
0
leotohill
10/19/1998 1:38:20 PM
We have run into problems with memo fields under 6.0 using ODBC and ADO 2.0
are are currently working with Sybase to resolve.  Just a heads-up warning.

==================================
Dan Kimble
dan.kimble@ohr.systoc.com
(remove ohr. from my address to respond)

Frederic MARGARIDO wrote in message ...
>Hi everyone,
>
>I would like to know if Sql anywhere 5.5x and 6.0 are compatible, I mean I
>am using Sql Anywhere 5.5 and one of our client bought the 6.0 version. My
>application will work with 6.0?
>
>Thanks
>
>----------------------------------------
>Frederic MARGARIDO
>Fred@radiosoft.org
>
>


0
Dan
10/19/1998 2:20:24 PM
True, you can use the compatibility dll. My expectation is that embedded
apps are more likely to be standalone, so I'm not sure how common this would
be.

--
Robert Waywell
Sybase
Please respond to News groups

Leo Tohill wrote in message <362b3ffc.2421905@forums.powersoft.com>...
>>If it is an embedded SQL app, then you will have to recompile using the
new
>>preprocessor.
>
>That's not strictly necessary is it?  From help topic "Upgrading Embedded
SQL Applications":
>
>"You can upgrade a SQL Anywhere Version 5 standalone application to use the
Adaptive Server Anywhere
>Version 6 database server by upgrading the database server and the
interface library. You do not
>need to upgrade the database or the client application itself.
>The upgrade procedure uses the compatibility library. The compatibility
library is a dynamic library
>(a DLL on PCs, shared library on UNIX) that enables Embedded SQL
applications to work with both
>Version 5 and Version 6 database servers."
>
>
>
>
>
>Leo Tohill - Team Powersoft
>-- Please post in newsgroup, not via email <


0
Rob
10/20/1998 2:33:55 PM
Leo:

Hi.  Are you saying the if our clients are now running PB 5.0.4 apps against
SQLA 5.5 DBs, and they upgrade the Server and the Client to ASA 6.x, they
will be able to run our app without any problems related to their SQLA to
ASA upgrade?

Thank you,
Doug


Leo Tohill wrote in message <362b3ffc.2421905@forums.powersoft.com>...
>>If it is an embedded SQL app, then you will have to recompile using the
new
>>preprocessor.
>
>That's not strictly necessary is it?  From help topic "Upgrading Embedded
SQL Applications":
>
>"You can upgrade a SQL Anywhere Version 5 standalone application to use the
Adaptive Server Anywhere
>Version 6 database server by upgrading the database server and the
interface library. You do not
>need to upgrade the database or the client application itself.
>The upgrade procedure uses the compatibility library. The compatibility
library is a dynamic library
>(a DLL on PCs, shared library on UNIX) that enables Embedded SQL
applications to work with both
>Version 5 and Version 6 database servers."
>
>
>
>
>
>Leo Tohill - Team Powersoft
>-- Please post in newsgroup, not via email <


0
Doug
11/1/1998 4:26:29 PM
In _general_ that's how things are supposed to work.  When I transitioned a
client from Watcom 4 to SQL Anywhere 5 I upgraded the server one weekend and
the the clients the next.  The PB application itself didn't change one bit.

From 5 to 6 things may not be as smooth but adequate testing on your part
will determine this real quick.

--
Jim Egan [TeamPS]
Dynamic Data Solutions http://www.dyn-data.com
Houston, TX

Doug Stone wrote in message ...
>Leo:
>
>Hi.  Are you saying the if our clients are now running PB 5.0.4 apps
against
>SQLA 5.5 DBs, and they upgrade the Server and the Client to ASA 6.x, they
>will be able to run our app without any problems related to their SQLA to
>ASA upgrade?
>
>Thank you,
>Doug
>
>
>Leo Tohill wrote in message <362b3ffc.2421905@forums.powersoft.com>...
>>>If it is an embedded SQL app, then you will have to recompile using the
>new
>>>preprocessor.
>>
>>That's not strictly necessary is it?  From help topic "Upgrading Embedded
>SQL Applications":
>>
>>"You can upgrade a SQL Anywhere Version 5 standalone application to use
the
>Adaptive Server Anywhere
>>Version 6 database server by upgrading the database server and the
>interface library. You do not
>>need to upgrade the database or the client application itself.
>>The upgrade procedure uses the compatibility library. The compatibility
>library is a dynamic library
>>(a DLL on PCs, shared library on UNIX) that enables Embedded SQL
>applications to work with both
>>Version 5 and Version 6 database servers."
>>
>>
>>
>>
>>
>>Leo Tohill - Team Powersoft
>>-- Please post in newsgroup, not via email <
>
>


0
Jim
11/2/1998 3:48:47 AM
>Hi.  Are you saying the if our clients are now running PB 5.0.4 apps against
>SQLA 5.5 DBs, and they upgrade the Server and the Client to ASA 6.x, they
>will be able to run our app without any problems related to their SQLA to
>ASA upgrade?

If it has anything to do with computers, I'll never say there will be NO problems. <g>  In this case
I can only say that it's supposed to work. 


Leo Tohill - Team Powersoft
-- Please post in newsgroup, not via email <
0
leotohill
11/2/1998 5:56:46 AM
Reply:

Similar Artilces:

SQL Anywhere 5.5.05 to SQL Anywhere Studio 6.0
Is the upgrade from 5.5.05 to Studio 6.0 a simple incremental upgrade? Can I complete this upgrade without code changes? It depends on the code. Sorry to be vague but that's the truth. It is described in great detail in the Help for ASA 6... ===== ASA New Features and Upgrading Guide CHAPTER 6. Upgrading From SQL Anywhere to Adaptive Server Anywhere This chapter describes upgrade procedures for users of SQL Anywhere Versions 5.0 and 5.5, and users of Watcom SQL 4.0. ===== Most ordinary SQL commands (SELECT, INSERT, UPDATE, DELETE) will NOT have to be changed at al...

Linux EAServer 6 + unixODBC + SQL AnyWhere 5.5.0.5
Dear All, I have the following problem: I just wanted to create a webDW which retrieves data from an SQLAnyWhere 5.5.0.5 database. After deploying, I cannot see data on the webpage, and the EAServer log file shows the following line: [OdbcConnection] ODBCError: SQLError: 0, SQLState: IM002, Msg: [unixODBC][Driver Manager]Data source name not found, and no default driver specified. As I figured out ( hopefully in a good way ), I have to create a proper data source configuration in the odbc.ini file. My question is: How can I get a Linux driver for SQLAnyWhere 5.5.0.5? O...

Triggers in SQL Anywhere 5.5.0 and PowerBuilder 5.0.03
Hi: I'm trying to get a series of triggers working, but am having lots of difficulties. Initially, the following trigger did not update the 'product' table on an insert. create trigger ti_inventory after insert on inventory referencing new as new_inventory for each row begin update product set product.current_in_stock = product.current_in_stock + new_inventory.qty_new + new_inventory.qty_used_excl + new_inventory.qty_used_good + new_inventory.qty_used_poor where product.product_code = new_inventory.product_code end; I tried to put other commands into the t...

SQL Anywhere 5.5 and Novell 5.0
Does any one know if SQLAnywhere 5.5 will run okay on Novell 5.0? We have a client that had 5.5 running on Novell 4 and they upgraded to Novell 5.0. When they have the database running, it is locking up the Novell console. There is an EBF that allows 5.5.04 to run in a NW 5 environment. Mark Black schrieb: > > Does any one know if SQLAnywhere 5.5 will run okay on Novell 5.0? We have a > client that had 5.5 running on Novell 4 and they upgraded to Novell 5.0. > When they have the database running, it is locking up the Novell console. ...

SQL Anywhere 5.5 and Netware 5.0
I understand that SQL Anywhere 5.5.04 as shipped will not work properly with Novell Netware 5.0. Has anyone heard whether Sybase intends to release a version update to resolve these problems such as version 5.5.05? Alternatively, is there a later build of version 5.5.04 which will resolve the problems? Yes, there is an EBF available through Tech Support that allows 5.5.04 to run on Netware 5. -- Jim Egan [TeamPS] Dynamic Data Solutions, Inc. http://www.dyn-data.com Houston, TX ...

SQL Anywhere 5.5.0.5 and VMWare
Are there any known issues with using SQL Anywhere on a Virtualised VMWare server, especially around replication processes ? We have a replication intensive db that our corporate IT dept want to virtualise onto a new server running VMWare. I need to know if there are any do's and don'ts that we should be aware of. Thanks in advance VMWare is not actually a support platform for ASA. Having said that, because VMWare is designed to be a virtual OS, we should still run within this environment. If there are problems that are encountered in a VMWare session, that cannot be r...

Moving from SQL Anywhere 5.5.05 to SQL Anywhere 8.0
Dear Sirs/user group, We would like to upgrade the sybase SQL Anywhere from version 5.5.05 database to version 8. I am told that the table names we currently use and maybe the procedures and triggers names are too long; 28 and 16 characters respectively. That is the maximum name length allowed in version 8? If I upgrade and SQL 8 shortens the table names, will the procedures be updated to reflect the changes of the table names? Or will I have to do all the changes manually, going through each procedure with a fine tooth comb? Thanks in advance, Oded Szpiro oded@travelca...

SQL Anywhere 5.0 upgraded by ASA 6.0?, ASA 6.0 on Linux???
What is ASA? Is the newest version of Sybase SQL Anywhere 5.0? Can I directly upgrade a Database from SQL Anywhere 5.0 (windows NT) to ASA 6.0 or 7.0? Then, what is the database engine for Linux? or ASA 6.0 or 7.0 is multiplatform? Please, any help, I don't understand. P.S.: My SQL Anywhere 5.0 is boundled with DataEase Plus 2.77 conected via ODBC, will run with ASA on any platform? > What is ASA? Adaptive Server Anywhere. IE enchanced & considerably improved versions of old SQL Anywhere > Is the newest version of Sybase SQL Anywhere 5.0? No. Last versio...

Virus Detection S/W (Netware 4.11) Compatible w/SQL Anywhere 5.5.0.3 & 5.5.0.4
<HTML> Does anyone have any recommendations as to a virus detection software for Netware (4.11) that is compatible with SQL Anywhere 5.5.0.3 or 5.5.0.4?&nbsp; Our customer was using Cheyenne's Innoculan which shut the database/service down and they are looking for a proven alternative. <BR>Thanks, <BR>Stacy Zacher <BR>M&amp;I Data Services, Inc.</HTML> Stacy Zacher wrote: > > Does anyone have any recommendations as to a virus detection software > for Netware (4.11) that is compatible with SQL Anywhere 5.5.0.3 or > 5.5.0.4? ...

Connect to SQL Anywhere 5.0 and MSSQL 6.5
Hi, Our PB 6.0 app. is running on the local workstation interfacing SQL Anywhere 5.0 DB on c: drive as temperary database and interfacing MSSQL 6.5 as primary data source. Data is upload from local SQL Anywhere 5.0 db to MSSQL 6.5 thru pipelines. Questions: 1. When connecting to MSSQL 6.5, Should we use ODBC SQL Server driver or PB native MS SQL 6.X driver ? We are using ODBC driver to connect to local SQL Anywhere now. 2. Where can we get the latest version of ODBC MS SQL Server driver or PB Native driver for MS SQL 6.5 ? 3. SQL Anywhere 5.0 allow mutliple column...

Concurrent perl 5.6.0, 5.6.1, 5.8.0, and 5.8.0threaded
Hi, So, I'd like to have multiple versions of perl installed on my system, for testing stuff, poking around, etc. It's not really that difficult, actually - you just arrange that they have different @INC directories (or that they overlap in the ways you want them to), and you make /usr/bin/perl point as a symlink to whichever version you want to use regularly (probably 5.6.1). Here's what I think I'd have, creating a few fink packages to manage things for me: * /usr/bin/perl5.6.0 - Apple's perl, unmodified, @INC is: /System/Library/Perl/darwin ...

Does jconnect 5.5 work with SQL anywhere 6.0
Hi all, My company has been using SQL anywhere 6.0 and IBM websphere v3.5 (JDK1.2.2) for a B2B system since 2001. I now need to re-write some EJB in that "aging" system and I would like to know whether jconnect 5.5 can work or not? Thanks. K.P. On 24 Aug 2005 06:22:01 -0700, "K.P" <kphuang@globalres.com> wrote: I am not an expert in this area but since the jConnect documentation refers to version 5.5 requiring a "gateway" application, the inference to me is that ASA 6.0 and up use tds. The metadata script in the jConnect-5_5\sp\sq...

SQL Anywhere 5.0 and PB 6.5.1
I have an application in PB 6.5.1 that I have recently updated the database on and I am trying to connect to an older version of the .db from another PC to pipeline that data into my new database. However, I copied the .db and the .log file to another directory, went into the 32bit ODBC and configured a data source for it, went into PB, created a DB Profile for it, but I always get the "unable to connect to the database" message. Can anyone tell me what I might be doing wrong? I sure hope so!! Thanks Chris Proctor Use Sybase Central and check the location of th...

Cannot use SQL Anywhere 5.0 after updating to 6.5
Please help. What is going on ? This is the errors DBENG50 caused an invalid page fault in module KERNEL32.DLL at 0177:bff9d709. Registers: EAX=c00300ec CS=0177 EIP=bff9d709 EFLGS=00010216 EBX=00000005 SS=017f ESP=0060feb4 EBP=00610150 ECX=00000000 DS=017f ESI=00610238 FS=4ee7 EDX=00000028 ES=017f EDI=00610254 GS=0000 Bytes at CS:EIP: 53 8b 15 dc 9c fc bf 56 89 4d e4 57 89 4d dc 89 Stack dump: ...

Web resources about - Sql anywhere 5.5 and 6.0 comptability - sybase.sqlanywhere.general

Lua in JavaScript: Running a VM in a VM
[Converting/running Lua in JavaScript] is a recurrent question on the Lua list, i guess because of the superficial similarity of the two languages. ...

DailyTech - Driving the Second-Gen. Acura RDX: Performance in an Unexpected Package
Price, drive is great, but some premium features are missing

Xbox One controllers are compatible with PC despite rumors to the contrary, says Penello
Despite earlier claims that Xbox One controllers would be incompatible with Windows PC, Microsoft's director of product management Albert Penello ...

Canon Digital Camera Chargers
... of . Check compatibility of the charger with your camera before you buy. Retrevo offers a huge assortment of - more than 5191 Chargers. Comptability ...

Interoperability, Browser &amp; Cross Platform Testing - Modern.IE
modern.IE Tools Demos Community Platform Status Developer Channel MSDN Dev Center Menu Twitter Stack Overflow Select a language English (United ...

WordPress › Support » Wp-D3
WordPress.org Showcase Themes Plugins Mobile Support Forums Documentation Get Involved About Blog Hosting Download WordPress Ready to get started? ...

azakai
[Converting/running Lua in JavaScript] is a recurrent question on the Lua list, i guess because of the superficial similarity of the two languages. ...

Resources last updated: 12/31/2015 3:14:11 PM